Bug 1279961 - [abrt] java-1.8.0-openjdk-headless: jni_FatalError(): java killed by SIGABRT
[abrt] java-1.8.0-openjdk-headless: jni_FatalError(): java killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:62ee3a4e2f7f9b1840f64e8c0c1...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 10:32 EST by Pavel Alexeev
Modified: 2016-12-20 10:36 EST (History)
6 users (show)

See Also:
Fixed In Version: java-1.8.0-openjdk-1.8.0.91-7.b14.fc24 java-1.8.0-openjdk-1.8.0.91-6.b14.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:36:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (54.05 KB, text/plain)
2015-11-10 10:32 EST, Pavel Alexeev
no flags Details
File: cgroup (173 bytes, text/plain)
2015-11-10 10:32 EST, Pavel Alexeev
no flags Details
File: core_backtrace (41.67 KB, text/plain)
2015-11-10 10:32 EST, Pavel Alexeev
no flags Details
File: dso_list (2.80 KB, text/plain)
2015-11-10 10:32 EST, Pavel Alexeev
no flags Details
File: environ (3.99 KB, text/plain)
2015-11-10 10:32 EST, Pavel Alexeev
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-10 10:32 EST, Pavel Alexeev
no flags Details
File: maps (14.54 KB, text/plain)
2015-11-10 10:32 EST, Pavel Alexeev
no flags Details
File: mountinfo (4.30 KB, text/plain)
2015-11-10 10:32 EST, Pavel Alexeev
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-10 10:32 EST, Pavel Alexeev
no flags Details
File: open_fds (396 bytes, text/plain)
2015-11-10 10:32 EST, Pavel Alexeev
no flags Details
File: proc_pid_status (1006 bytes, text/plain)
2015-11-10 10:32 EST, Pavel Alexeev
no flags Details
File: var_log_messages (303 bytes, text/plain)
2015-11-10 10:32 EST, Pavel Alexeev
no flags Details

  None (edit)
Description Pavel Alexeev 2015-11-10 10:32:08 EST
Version-Release number of selected component:
java-1.8.0-openjdk-headless-1.8.0.65-3.b17.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        //bin/java -Djava.util.logging.config.file=/opt/servers/apache-tomcat-7.0.57-ui/conf/logging.properties -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager -Xms512M -Xmx512M -Djava.security.egd=file:/dev/urandom -Dlogback.configurationFile=/opt/configuration/logback-ui.xml -Dunidata.conf=/opt/servers/apache-tomcat-7.0.57-backend/conf/unidata -Dcom.sun.management.jmxremote -Djava.rmi.server.hostname=10.0.17.32 -Dcom.sun.management.jmxremote.ssl=false -Dcom.sun.management.jmxremote.authenticate=true -Dcom.sun.management.jmxremote.password.file=/opt/configuration/jmxremote.password -Dcom.sun.management.jmxremote.access.file=/opt/configuration/jmxremote.access -agentlib:jdwp=transport=dt_socket,address=8002,server=y,suspend=n -Djava.endorsed.dirs=/opt/servers/apache-tomcat-7.0.57-ui/endorsed -classpath /opt/servers/apache-tomcat-7.0.57-ui/bin/logback/jul-to-slf4j-1.7.12.jar:/opt/servers/apache-tomcat-7.0.57-ui/bin/logback/slf4j-api-1.7.12.jar:/opt/servers/apache-tomcat-7.0.57-ui/bin/logback/logback-classic-1.1.3.jar:/opt/servers/apache-tomcat-7.0.57-ui/bin/logback/logback-core-1.1.3.jar:/opt/servers/apache-tomcat-7.0.57-ui/bin/bootstrap.jar:/opt/servers/apache-tomcat-7.0.57-ui/bin/tomcat-juli.jar -Dcatalina.base=/opt/servers/apache-tomcat-7.0.57-ui -Dcatalina.home=/opt/servers/apache-tomcat-7.0.57-ui -Djava.io.tmpdir=/opt/servers/apache-tomcat-7.0.57-ui/temp org.apache.catalina.startup.Bootstrap start
crash_function: jni_FatalError
executable:     /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.65-3.b17.fc23.x86_64/jre/bin/java
global_pid:     6895
kernel:         4.2.5-300.hu.1.pf3.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #3 jni_FatalError at /usr/src/debug/java-1.8.0-openjdk-1.8.0.65-3.b17.fc23.x86_64/openjdk/hotspot/src/share/vm/prims/jni.cpp:862
 #4 jniFatalError at /usr/src/debug/java-1.8.0-openjdk-1.8.0.65-3.b17.fc23.x86_64/openjdk/jdk/src/share/back/debugInit.c:671
 #5 debugInit_exit at /usr/src/debug/java-1.8.0-openjdk-1.8.0.65-3.b17.fc23.x86_64/openjdk/jdk/src/share/back/debugInit.c:1334
 #6 initialize at /usr/src/debug/java-1.8.0-openjdk-1.8.0.65-3.b17.fc23.x86_64/openjdk/jdk/src/share/back/debugInit.c:750
 #7 cbEarlyVMInit at /usr/src/debug/java-1.8.0-openjdk-1.8.0.65-3.b17.fc23.x86_64/openjdk/jdk/src/share/back/debugInit.c:458
 #8 JvmtiExport::post_vm_initialized at /usr/src/debug/java-1.8.0-openjdk-1.8.0.65-3.b17.fc23.x86_64/openjdk/hotspot/src/share/vm/prims/jvmtiExport.cpp:470
 #9 Threads::create_vm at /usr/src/debug/java-1.8.0-openjdk-1.8.0.65-3.b17.fc23.x86_64/openjdk/hotspot/src/share/vm/runtime/thread.cpp:3623
 #10 JNI_CreateJavaVM at /usr/src/debug/java-1.8.0-openjdk-1.8.0.65-3.b17.fc23.x86_64/openjdk/hotspot/src/share/vm/prims/jni.cpp:5196
 #11 InitializeJVM at /usr/src/debug/java-1.8.0-openjdk-1.8.0.65-3.b17.fc23.x86_64/openjdk/jdk/src/share/bin/java.c:1214
 #12 JavaMain at /usr/src/debug/java-1.8.0-openjdk-1.8.0.65-3.b17.fc23.x86_64/openjdk/jdk/src/share/bin/java.c:376

Potential duplicate: bug 1252026
Comment 1 Pavel Alexeev 2015-11-10 10:32:15 EST
Created attachment 1092308 [details]
File: backtrace
Comment 2 Pavel Alexeev 2015-11-10 10:32:16 EST
Created attachment 1092309 [details]
File: cgroup
Comment 3 Pavel Alexeev 2015-11-10 10:32:19 EST
Created attachment 1092310 [details]
File: core_backtrace
Comment 4 Pavel Alexeev 2015-11-10 10:32:20 EST
Created attachment 1092311 [details]
File: dso_list
Comment 5 Pavel Alexeev 2015-11-10 10:32:22 EST
Created attachment 1092312 [details]
File: environ
Comment 6 Pavel Alexeev 2015-11-10 10:32:24 EST
Created attachment 1092313 [details]
File: limits
Comment 7 Pavel Alexeev 2015-11-10 10:32:26 EST
Created attachment 1092314 [details]
File: maps
Comment 8 Pavel Alexeev 2015-11-10 10:32:27 EST
Created attachment 1092315 [details]
File: mountinfo
Comment 9 Pavel Alexeev 2015-11-10 10:32:29 EST
Created attachment 1092316 [details]
File: namespaces
Comment 10 Pavel Alexeev 2015-11-10 10:32:30 EST
Created attachment 1092317 [details]
File: open_fds
Comment 11 Pavel Alexeev 2015-11-10 10:32:32 EST
Created attachment 1092318 [details]
File: proc_pid_status
Comment 12 Pavel Alexeev 2015-11-10 10:32:33 EST
Created attachment 1092319 [details]
File: var_log_messages
Comment 13 Deepak Bhole 2015-11-11 15:09:00 EST
It seems that the JDWP could not be initialized during startup. Does it error happen after reboot as well? If so, are there any other java processes running on the machine?
Comment 14 Pavel Alexeev 2016-01-02 15:29:14 EST
Unfortunately I can't reliably reproduce that crash, but it happens sometimes. Even if there other process, graceful message about error will be appreciated instead of crash.
Comment 15 Deepak Bhole 2016-01-06 17:46:39 EST
Is there anything on the console at all?
Comment 16 Fedora Update System 2016-05-20 04:20:49 EDT
java-1.8.0-openjdk-1.8.0.91-3.b14.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-52636406cb
Comment 17 Fedora Update System 2016-05-20 04:21:00 EDT
java-1.8.0-openjdk-1.8.0.91-7.b14.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0230b7aeb3
Comment 18 Fedora Update System 2016-05-20 04:21:06 EDT
java-1.8.0-openjdk-1.8.0.91-6.b14.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2b38eb79b0
Comment 19 Fedora Update System 2016-05-20 21:22:51 EDT
java-1.8.0-openjdk-1.8.0.91-3.b14.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-52636406cb
Comment 20 Fedora Update System 2016-05-20 21:31:23 EDT
java-1.8.0-openjdk-1.8.0.91-7.b14.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0230b7aeb3
Comment 21 Fedora Update System 2016-05-20 22:26:26 EDT
java-1.8.0-openjdk-1.8.0.91-6.b14.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2b38eb79b0
Comment 22 Fedora Update System 2016-05-23 16:03:45 EDT
java-1.8.0-openjdk-1.8.0.91-7.b14.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2016-05-23 21:24:01 EDT
java-1.8.0-openjdk-1.8.0.91-6.b14.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2016-06-10 04:13:31 EDT
java-1.8.0-openjdk-1.8.0.92-1.b14.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0e6c9bd39a
Comment 25 Fedora Update System 2016-06-10 23:53:35 EDT
java-1.8.0-openjdk-1.8.0.92-1.b14.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0e6c9bd39a
Comment 26 Fedora Update System 2016-06-24 06:04:54 EDT
java-1.8.0-openjdk-1.8.0.92-3.b14.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3040a2d6d7
Comment 27 Fedora Update System 2016-06-24 20:25:27 EDT
java-1.8.0-openjdk-1.8.0.92-3.b14.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3040a2d6d7
Comment 28 Fedora End Of Life 2016-11-24 08:16:10 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 29 Fedora End Of Life 2016-12-20 10:36:58 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.